Skip to content

Order & Installation

All operations require authentication.

7 operationsv1/pack/xdsl
Agent setup

Move an xDSL pack to another addressProduction

POST
/1.0/pack/xdsl/{packName}/addressMove/moveOffer

Move an xDSL pack to another address. Starts the move to the new address with the chosen offer, modem, installation details and services to keep or delete. Returns an asynchronous task.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

acceptContracts
required
boolean

You explicitly accept the terms of the contract corresponding to your new offer

building
string

Building identifier, "null" if no identifier is available

buildingReference
string

Building reference for FTTH and FTTE offers

contactPhone
string

Customer contact phone number

door
string

Door identifier, "null" if no identifier is available

eligibilityReference
required
string

Eligibility reference

engageMonths
integer

Number of months of re-engagement

floor
string

Floor identifier, "null" if no identifier is available

installationType
InstallationTypeEnum

Installation type, only on FTTH technology

Valuesactivateactivate_undefinedcreatemultiOtp
keepCurrentNumber
required
boolean

Whether or not the current number should be kept

meeting
BookMeetingSlot

Data to book a meeting slot

modem
required
ModemOptionEnum

Modem option chosen for the new offer

Valuesnorecycledyes
mondialRelayId
integer

Mondial relay ID if a shipping is needed

moveOutDate
stringdate-time

The date when the customer is no longer at the current address. Must be between now and +30 days. The default date will be the one in 30 days from now.

nicShipping
string

nicShipping if a shipping is needed

offerName
required
string

Reference of the new offer

ontShippingContact
string

Allows you to personalize a delivery address for the ONT. If empty, the address will be that of the installation

options
OfferOption[]

Options wanted in the new offer

otp
required
boolean

Whether an Optical Termination Point (OTP) is already installed at the address

otpReference
string

Reference of the Optical Termination Point

productCode
required
string

Product code, an unique identifier for the product from addressMove/offer

residence
string

Residence identifier, "null" if no identifier is available

stair
string

Stair identifier, "null" if no identifier is available

subServicesToDelete
OfferServiceToDelete[]

List of domains of services to delete if needed

subServicesToKeep
OfferServiceToKeep[]

List of domains of services to keep if needed

Response

200AsyncTask_longsuccessful operation
error
string

Error

result
integer
—
status
AsyncTaskStatusEnum

Status of the call

Valueserrorokpending

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/addressMove/moveOffer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "error": "string", "result": 0, "status": "error"}

Search the address move offers of an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/addressMove/offers

Search the address move offers of an xDSL pack. Returns, as an asynchronous task, the offers available at the new address for the given eligibility reference.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

eligibilityReference
required
string

Eligibility reference

Response

200MoveOfferResponsesuccessful operation
error
string

Error

result
MoveOfferResponse

List of available Move address offer

status
AsyncTaskStatusEnum

Status of the call

Valueserrorokpending

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/addressMove/offers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "error": "string", "result": { "offers": [ { "contracts": [ { "content": "string", "name": "string", "url": "string" } ], "customOntAddress": true, "description": "string", "engageMonths": 0, "engaged": true, "modemOptions": [ { "name": "string", "price": { "currencyCode": null, "text": null, "value": null } } ], "modemReferenceToReturn": "string", "needModem": true, "needNewModem": true, "offerName": "string", "operator": "string", "options": [ { "duration": 0, "included": 0, "name": "string", "optional": 0, "optionalPrice": { "currencyCode": null, "text": null, "value": null } } ], "prices": { "creationLineFees": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "currentOfferPrice": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "due": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "firstYearPromo": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "gtrComfortFees": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "installFees": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "modemRental": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "price": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "promotion": { "endDate": "2024-01-01T12:00:00Z", "id": "string", "installFee": { "discount": null, "duration": null }, "startDate": "2024-01-01T12:00:00Z", "subscription": { "discount": null, "duration": null } }, "providerAI": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } }, "providerOrange": { "description": "string", "price": { "currencyCode": null, "text": null, "value": null } } }, "productCodes": [ "string" ], "subServicesToDelete": [ { "numberToDelete": 0, "services": [ null ], "type": "domain" } ], "url": "string" } ] }, "status": "error"}

List the services to delete to move an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/addressMove/servicesToDeleteUnpackTerms

List the services to delete to move an xDSL pack. Returns, by service type, the number of services to delete and their unpack terms for the offer at the new address.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

eligibilityReference
required
string

Eligibility reference

offerName
required
string

Reference of the new offer

options
OfferOption[]

Options wanted in the new offer

Response

200SubServicesDetailsToDelete[]successful operation
numberToDelete
integer

Number of services to be deleted

services
SubServiceDetails[]

List of domains of sub services with unpack terms

type
ServiceNameEnum

Type of service to be deleted

ValuesdomainemailProexchangeAccountexchangeIndividualexchangeOrganizationgrt10hogrt20m10hogrt20m4hogrt4hogrt5m10hogrt5m4hogrtAltgrtDspgrtFtgrtKoscgrtOvhhostedEmailmodemoverTheBoxHardwareoverTheBoxServicevoipAliasvoipBillingAccountvoipEcoFaxvoipLinevoipTrunkxdslAccess

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/addressMove/servicesToDeleteUnpackTerms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "numberToDelete": 0, "services": [ { "isAllowed": true, "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "renewPeriod": 0, "renewPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "service": "string" } ], "type": "domain" }]

Migrate an xDSL pack to another offerProduction

POST
/1.0/pack/xdsl/{packName}/migration/migrate

Migrate an xDSL pack to another offer. Starts the migration to the selected offer with its options, modem, installation details and services to keep or delete. Returns the task that performs it.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

acceptContracts
required
boolean

You explicitly accept the terms of the contract corresponding to your new offer

buildingReference
string

Building reference for FTTH and FTTE offers

contactPhone
string

Customer contact phone number

engageMonths
integer

Number of months of re-engagement

floor
string

Floor identifier, "NA" if no identifier is available

installationType
InstallationTypeEnum

Installation type, only on FTTH technology

Valuesactivateactivate_undefinedcreatemultiOtp
meeting
BookMeetingSlot

Data to book a meeting slot

modem
required
ModemOptionEnum

Modem option chosen for the new offer

Valuesnorecycledyes
mondialRelayId
integer

Mondial relay ID if a shipping is needed

nicShipping
string

nicShipping if a shipping is needed

offerName
required
string

Reference of the new offer

ontShippingContact
string

Allows you to personalize a delivery address for the ONT. If empty, the address will be that of the installation

options
OfferOption[]

Options wanted in the new offer

otp
boolean

Whether an Optical Termination Point (OTP) is already installed at the address

otpReference
string

Reference of the Optical Termination Point

productCode
string

Product code, an unique identifier to designate the chosen offer

stair
string

Stair identifier, "NA" if no identifier is available

subServicesToDelete
OfferServiceToDelete[]

List of domains of services to delete if needed

subServicesToKeep
OfferServiceToKeep[]

List of domains of services to keep if needed

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
updateDate
read-only
stringdate-time
—

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/migration/migrate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}

Search the migration offers of an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/migration/offers

Search the migration offers of an xDSL pack. Returns, as an asynchronous task, the offers the pack can migrate to and, for fiber, the buildings to choose from.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

buildingReference
string

Building reference for FTTH and FTTE offers

Response

200MigrationOfferResponsesuccessful operation
error
string

Error

result
MigrationOfferResponse

List of available Migration offer

status
AsyncTaskStatusEnum

Status of the call

Valueserrorokpending

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/migration/offers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "error": "string", "result": { "buildings": [ { "name": "string", "nro": "string", "reference": "string", "stairs": [ { "floors": [ null ], "stair": "string" } ], "type": "BUILDING" } ], "offers": [ { "contractList": [ "string" ], "contracts": [ { "content": "string", "name": "string", "url": "string" } ], "currentOfferPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "customOntAddress": true, "description": "string", "due": { "currencyCode": "AUD", "text": "string", "value": 0 }, "engageMonths": 0, "engaged": true, "engagementMonths": [ 0 ], "firstYearPromo": { "currencyCode": "AUD", "text": "string", "value": 0 }, "gtrComfortFees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "installFees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "modemMacToReturn": "string", "modemOptions": [ { "name": "string", "price": { "currencyCode": null, "text": null, "value": null } } ], "modemRental": { "currencyCode": "AUD", "text": "string", "value": 0 }, "multiOtp": true, "needModem": true, "needNewModem": true, "offerName": "string", "operator": "string", "options": [ { "duration": 0, "included": 0, "name": "string", "optional": 0, "optionalPrice": { "currencyCode": null, "text": null, "value": null } } ], "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "promotion": { "endDate": "2024-01-01T12:00:00Z", "id": "string", "installFee": { "discount": { "currencyCode": null, "text": null, "value": null }, "duration": "string" }, "startDate": "2024-01-01T12:00:00Z", "subscription": { "discount": { "currencyCode": null, "text": null, "value": null }, "duration": "string" } }, "providerAI": { "currencyCode": "AUD", "text": "string", "value": 0 }, "providerOrange": { "currencyCode": "AUD", "text": "string", "value": 0 }, "subServicesToDelete": [ { "numberToDelete": 0, "services": [ null ], "type": "domain" } ], "url": "string" } ] }, "status": "error"}

List the services to delete to migrate an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/migration/servicesToDeleteUnpackTerms

List the services to delete to migrate an xDSL pack. Returns, by service type, the number of services to delete and their unpack terms for the target offer.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

offerName
required
string

Reference of the new offer

options
OfferOption[]

Options wanted in the new offer

Response

200SubServicesDetailsToDelete[]successful operation
numberToDelete
integer

Number of services to be deleted

services
SubServiceDetails[]

List of domains of sub services with unpack terms

type
ServiceNameEnum

Type of service to be deleted

ValuesdomainemailProexchangeAccountexchangeIndividualexchangeOrganizationgrt10hogrt20m10hogrt20m4hogrt4hogrt5m10hogrt5m4hogrtAltgrtDspgrtFtgrtKoscgrtOvhhostedEmailmodemoverTheBoxHardwareoverTheBoxServicevoipAliasvoipBillingAccountvoipEcoFaxvoipLinevoipTrunkxdslAccess

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/migration/servicesToDeleteUnpackTerms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "numberToDelete": 0, "services": [ { "isAllowed": true, "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "renewPeriod": 0, "renewPrice": { "currencyCode": "AUD", "text": "string", "value": 0 }, "service": "string" } ], "type": "domain" }]

Get the order follow-up of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/orderFollowUp

Get the order follow-up of an xDSL pack. Returns the steps of the pack order with their status, expected duration, completion date and comments.

Path parameters

packName
required
string

The internal name of your pack

Response

200OrderFollowUpStep[]successful operation
comments
string[]

Additional information about the step

doneDate
stringdate-time

Date when the step has been done

durationUnit
string

Unit used for the expected duration step

expectedDuration
integer

Expected duration step

name
string

Order follow up step name

status
string

Status of the step

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/orderFollowUp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "comments": [ "string" ], "doneDate": "2024-01-01T12:00:00Z", "durationUnit": "string", "expectedDuration": 0, "name": "string", "status": "string" }]